@import url('https://fonts.googleapis.com/css2?family=Prompt:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* FC Iconic Font */
@font-face {
    font-family: 'FC Iconic Bold';
    src: url('../../public/font/fc_iconic_bold.woff2') format('woff2'),
         url('../../public/font/fc_iconic_bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'FC Iconic ExtraLight';
    src: url('../../public/font/fc_iconic_extralight.woff2') format('woff2'),
         url('../../public/font/fc_iconic_extralight.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'FC Iconic Light';
    src: url('../../public/font/fc_iconic_light.woff2') format('woff2'),
         url('../../public/font/fc_iconic_light.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'FC Iconic Medium';
    src: url('../../public/font/fc_iconic_medium.woff2') format('woff2'),
         url('../../public/font/fc_iconic_medium.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'FC Iconic Regular';
    src: url('../../public/font/fc_iconic_regular.woff2') format('woff2'),
         url('../../public/font/fc_iconic_regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

/* Helvetica Neue Font */
@font-face {
    font-family: 'Helvetica Neue Bold';
    src: url('../../public/font/helveticaneue-bold.woff2') format('woff2'),
         url('../../public/font/helveticaneue-bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Helvetica Neue CondensedBlack';
    src: url('../../public/font/helveticaneue-condensedblack.woff2') format('woff2'),
         url('../../public/font/helveticaneue-condensedblack.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Helvetica Neue CondensedBold';
    src: url('../../public/font/helveticaneue-condensedbold.woff2') format('woff2'),
         url('../../public/font/helveticaneue-condensedbold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Helvetica Neue Light';
    src: url('../../public/font/helveticaneue-light.woff2') format('woff2'),
         url('../../public/font/helveticaneue-light.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Helvetica Neue Medium';
    src: url('../../public/font/helveticaneue-medium.woff2') format('woff2'),
         url('../../public/font/helveticaneue-medium.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Helvetica Neue UltraLight';
    src: url('../../public/font/helveticaneue-ultralight.woff2') format('woff2'),
         url('../../public/font/helveticaneue-ultralight.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}
@font-face {
    font-family: 'Helvetica Neue Regular';
    src: url('../../public/font/helveticaneue.woff2') format('woff2'),
         url('../../public/font/helveticaneue.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

html,
body {
    font-size: 16px;
}

body,
button {
    font-family: 'Helvetica Neue Regular';
}

/* font family */
.prompt {
    font-family: 'Prompt';
}
.helvetica-neue {
    font-family: 'Helvetica Neue Regular';
}
.fc-iconic {
    font-family: 'FC Iconic Light';
}

/* font style */
h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
}

/* typography */
h1, h2, h3, h4, h5, h6 { font-weight: 500; }
h1, h2, h3 { margin-top: 0.65em; margin-bottom: 0.6em; }
h4, h5, h6 { margin-top: 0.5em; margin-bottom: 0.33em; }
h1 { font-size: 3.0625rem; }
h2, .h2 { font-size: 2.125rem; }
h3, .h3 { font-size: 1.5rem; }
h4 { font-size: 1.375rem;	}
h5 { font-size: 1.125rem; }
h6 { font-size: 1rem; }
h1>small, h2>small, h3>small, h4>small { display: block; line-height: 0.86; }
/*h1.heading { font-size: 6.67rem; line-height: 0.76; }*/
/*h1.dbadman { line-height: 0.86; }*/

/* font-style */
.extra-light { font-weight: 200; }
.light { font-weight: 300; }
.regular { font-weight: 400; }
.medium { font-weight: 500; }
.bold { font-weight: 600; }
.uppercase { text-transform: uppercase; }

strong {
    font-family: 'Helvetica Neue Medium';
}

.fc-iconic.extra-light { font-family: 'FC Iconic ExtraLight'; }
.fc-iconic.light { font-family: 'FC Iconic Light'; }
.fc-iconic.regular { font-family: 'FC Iconic Regular'; }
.fc-iconic.medium { font-family: 'FC Iconic Medium'; }
.fc-iconic.bold { font-family: 'FC Iconic Bold'; }

.helvetica-neue.extra-light { font-family: 'Helvetica Neue UltraLight'; }
.helvetica-neue.light { font-family: 'Helvetica Neue Light'; }
.helvetica-neue.regular { font-family: 'Helvetica Neue Regular'; }
.helvetica-neue.medium { font-family: 'Helvetica Neue Medium'; }
.helvetica-neue.bold { font-family: 'Helvetica Neue Bold'; }
.helvetica-neue.condensed-bold { font-family: 'Helvetica Neue CondensedBold'; }
.helvetica-neue.condensed-black { font-family: 'Helvetica Neue CondensedBlack'; }

/* font extend */
.smaller { font-size: 0.675em; }
.small { font-size: 0.875em; }
.normal { font-size: 1.25em; }
.large { font-size: 1.6em; }
.larger { font-size: 2em; }

.uppercase {
    text-transform: uppercase;
}
.text-transform-none {
    text-transform: none;
}
.italic {
    font-style: italic;
}

/* button style */
.btn {
    /* font-size: 1.2rem; */
    /* font-weight: 500; */
    /* border-radius: 0.25em; */
}
.btn, .btn-large, .btn-small, .btn-flat {
	text-transform: none;
}

/* form them style */
.form-them input,
.form-them input + span,
.form-them select,
.form-them textarea.materialize-textarea,
.section-search .input-field input,
.signin-page .card-signin .card-input .input-field input,
.signup-page .card-signup .card-input .input-field input {
    font-family: 'FC Iconic Light';
}
.form-them .input-field > label {
    font-family: 'FC Iconic Regular';
}